import { createStore } from 'vuex'

// 创建一个新的 store 实例
const store = createStore({
  state() {
    return {
      curDataType: "typeFour",
      curDataLabel:"",
      curData:{}
    }
  },
  mutations: {
    // 切换当前mock数据
    SET_CUR_DATA_TYPE(state, curDataType) {
      state.curDataType = curDataType
    },
    SET_CUR_DATA_LABEl(state, curDataLabel) {
      state.curDataLabel = curDataLabel
    },
    SET_CUR_DATA(state, curData) {
      state.curData = curData
    }
  }
})


export default store;